View Issue Details

IDProjectCategoryView StatusLast Update
0022468mantisbtotherpublic2017-03-21 19:42
Reporteratrol Assigned Toatrol  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.0-beta.1 
Target Version1.3.8Fixed in Version1.3.8 
Summary0022468: Resolution changes in some cases when closing issues
Description

Sometimes the resolution automatically changes to "fixed" when closing issues.

  • set an issue to resolved with resolution no change required
  • change status to closed

I had a first short look at the code and found that we compare the current resolution with a status threshold

    $t_resolved = config_get( 'bug_resolved_status_threshold', null, null, $t_bug->project_id );
...
...
    $t_current_resolution = $t_bug->resolution;
    $t_bug_is_open = $t_current_resolution < $t_resolved;
TagsNo tags attached.

Relationships

related to 0010059 closeddhx Default resolution to "duplicate" if "duplicate_of" relationship exists 

Activities

dregad

dregad

2017-03-10 07:02

developer   ~0056033

@atrol I've asked Victor to cut release 1.3.7, and he's planning to do it over the coming week-end. Just saying, in case you want to get this in.

atrol

atrol

2017-03-10 07:48

developer   ~0056034

Last edited: 2017-03-10 07:49

@dregad thanks for the reminder, I am aware of the plan.
I am note sure when I will get time to fix it, especially as my highest priority at the moment is to look at a regression in 2.2.x installer.

The issue has also to be fixed in 2.x.
I would like to avoid a similar situation we had in 0021798 (fix in 1.3.x but not in 2.x in same release cycle)
To keep it short: I think it's better to release 1.3.7 without the change and target the issue to 1.3.8, so that we will have the fix in 1.3.8 and 2.3.0 end of the month.

atrol

atrol

2017-03-13 15:43

developer   ~0056066

PR https://github.com/mantisbt/mantisbt/pull/1053

Related Changesets

MantisBT: master-1.3.x d4c9d7f9

2017-03-13 15:38:47

atrol

Details Diff
Correct resolution comparison when changing issue status

Fixes 0022468
Affected Issues
0022468
mod - bug_change_status_page.php Diff File

MantisBT: master 62bc3cd7

2017-03-13 15:38:47

atrol

Details Diff
Correct resolution comparison when changing issue status

Fixes 0022468
Affected Issues
0022468
mod - bug_change_status_page.php Diff File

MantisBT: master-2.1 5458e544

2017-03-13 15:38:47

atrol


Committer: dregad Details Diff
Correct resolution comparison when changing issue status

Fixes 0022468
Affected Issues
0022468
mod - bug_change_status_page.php Diff File

MantisBT: master-2.2 5e1dffb4

2017-03-13 15:38:47

atrol


Committer: dregad Details Diff
Correct resolution comparison when changing issue status

Fixes 0022468

Ported from d4c9d7f935f88dc67f0793e1e495b51bf0cf87c4
Conflicts:
bug_change_status_page.php
Affected Issues
0022468
mod - bug_change_status_page.php Diff File